# StageLogGetStage

This function the stage id given the stage name.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogGetStage(StageLog stageLog, const char name[], int *stage)

Not Collective

### Input Parameters

| stageLog | - The StageLog
| name | - The stage name

### Output Parameter

stage -The stage id

### Keywords

log, stage

### See Also

StageLogGetCurrent(), StageLogRegister(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages